net.sf.jasperreports.components.sort.actions

## Class SortData

- java.lang.Object
- - net.sf.jasperreports.components.headertoolbar.actions.BaseColumnData
  - - net.sf.jasperreports.components.sort.actions.SortData

-     public class SortData
      extends BaseColumnData

  Version:
    $Id: SortData.java 5877 2013-01-07 19:51:14Z teodord $
  Author:
    Narcis Marcu (narcism@users.sourceforge.net)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SortData()`
    `SortData(java.lang.String tableUuid, java.lang.String sortColumnName, java.lang.String sortColumnType, java.lang.String sortOrder)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getSortColumnName()`
    `java.lang.String` | `getSortColumnType()`
    `java.lang.String` | `getSortOrder()`
    `void` | `setSortColumnName(java.lang.String sortColumnName)`
    `void` | `setSortColumnType(java.lang.String sortColumnType)`
    `void` | `setSortOrder(java.lang.String sortOrder)`

    - ### Methods inherited from class net.sf.jasperreports.components.headertoolbar.actions.BaseColumnData

      `getTableUuid, setTableUuid`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SortData

          public SortData()

    - #### SortData

          public SortData(java.lang.String tableUuid,
                  java.lang.String sortColumnName,
                  java.lang.String sortColumnType,
                  java.lang.String sortOrder)

  - ### Method Detail

    - #### getSortColumnName

          public java.lang.String getSortColumnName()

    - #### setSortColumnName

          public void setSortColumnName(java.lang.String sortColumnName)

    - #### getSortColumnType

          public java.lang.String getSortColumnType()

    - #### setSortColumnType

          public void setSortColumnType(java.lang.String sortColumnType)

    - #### getSortOrder

          public java.lang.String getSortOrder()

    - #### setSortOrder

          public void setSortOrder(java.lang.String sortOrder)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com